@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: Verdana, Geneva, sans-serif;
    color: #666;
    background: #f6f5f7;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

a, .btn-link {
    color: #42a5f5;
}

.btn {
    border-radius: 25px !important;
    padding: .375rem 1rem;
}

.btn-sm {
    padding: .25rem 1rem;
}

.btn-primary, .badge-primary {
    color: #fff;
    background-color: #42a5f5;
    border-color: #42a5f5;
}

    .btn-primary:hover, .badge-primary:hover {
        background: #3686c7;
        border-color: #3686c7;
    }

.btn-outline-primary {
    color: #42a5f5;
    border-color: #42a5f5;
    background: #fff;
}

    .btn-outline-primary:hover {
        background: #42a5f5;
        border-color: #42a5f5;
    }

.text-primary {
    color: #42a5f5 !important;
}

app {
    position: relative;
    display: flex;
    flex-direction: column;
}

.top-row {
    height: 3.5rem;
    display: flex;
    align-items: center;
}

.main-container {
    flex: 1;
    width: 100vw;
}

.main-container, .main-body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-content: space-between;
}

.main {
    flex: 1;
}

    .main .top-row {
        background-color: #f7f7f7;
        border-bottom: 1px solid #d6d5d5;
        justify-content: flex-end;
    }

        .main .top-row > a, .main .top-row .btn-link {
            white-space: nowrap;
            margin-left: 1.5rem;
        }

.main .top-row a:first-child {
    overflow: hidden;
    text-overflow: ellipsis;
}

.truncate {
    width: 120px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.sidebar {
    background: #42a5f5;
    background-image: linear-gradient(180deg, #42a5f5 0%, #6bceff 70%);
}

    .sidebar .top-row {
        background-color: rgba(0,0,0,0.4);
    }

    .sidebar .navbar-brand {
        font-size: 1.1rem;
        width: 120px;
    }

    .sidebar .oi {
        width: 2rem;
        font-size: 1.1rem;
        vertical-align: text-top;
        top: -2px;
    }

    .sidebar .nav-item {
        font-size: 0.9rem;
        padding-bottom: 0.5rem;
    }

        .sidebar .nav-item:first-of-type {
            padding-top: 1rem;
        }

        .sidebar .nav-item:last-of-type {
            padding-bottom: 1rem;
        }

        .sidebar .nav-item a {
            color: #fff;
            border-radius: 4px;
            height: 3rem;
            display: flex;
            align-items: center;
            line-height: 3rem;
        }

            .sidebar .nav-item a.active {
                background-color: rgba(255,255,255,0.25);
                color: white;
            }

            .sidebar .nav-item a:hover {
                background-color: rgba(255,255,255,0.1);
                color: white;
            }

.content {
    padding-top: 1.1rem;
}

.generic-body {
    min-height: 100vh;
    background: #fff;
}

.generic {    
    padding: 1.5rem;
    font-size: 14px;
}

.gdpr .oi {
    font-size: 2.7rem;
    color: #42a5f5;
}

.gdpr .card-icon {
    min-height: 200px;
}

.generic ul li {
    line-height: 2.2;
}
    .generic .counter {
        text-transform: uppercase;
        font-weight: bold;
    }

    .navbar-toggler {
        background-color: rgba(255, 255, 255, 0.1);
    }

.valid.modified:not([type=checkbox]), .invalid {
    border-radius: .25rem;
    outline: 0;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #28A744;
    box-shadow: 0 0 0 0.2rem rgba(40,167,68,.25);
}

.invalid {
    border-color: #DD3444;
    box-shadow: 0 0 0 0.2rem rgba(221,52,68,.25);
}

.validation-message {
    color: #DD3444;
    font-size: 14px;
    font-weight: bold;
    margin-bottom: 5px;
}

input[type=checkbox] {
    width: 16px;
    height: 16px;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.login-links {
    display: flex;
    align-content: center;
    justify-content: space-between;
}

.main-body {
    width: 100vw;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: 100vh;
    position: relative;
}

.login-page {
    display: flex;
    align-content: center;
    justify-content: center;
    align-items: center;
    height: 100%;
    padding: 2rem 0;
}

.container-login {
    width: 60%;
    max-width: 800px;
}

.card-login {
    border-radius: 1rem;
    box-shadow: 0 1rem 3rem rgba(0,0,0,0.1), 0 1rem 6rem rgba(52,152,219,0.1);
    display: flex;
    flex-direction: row;
    border: none !important;
}

.card-logo {
    background: #42a5f5;
    background-image: linear-gradient(to right, #42a5f5, #6bceff);
    border-bottom-left-radius: 1rem;
    border-top-left-radius: 1rem;
    width: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.card-logo img {
    width: 60%;
    height: auto;
}
 .login-body {
     width: 50%;
     padding: 2rem 1.5rem 4rem 1.5rem;
 }

.btn-toggle {
    color: #fff;
    font-size: 15px;
}

.my_place {
    position: absolute;
    pointer-events: none;
    top:2px;
    left: 5px;
    color: #42a5f5;
    transition: 0.2s ease all;
}

.btn-login {
    border-radius: 25px;
    box-shadow: 0 3px 10px #8abfff;
    background-image: linear-gradient(to right, #42a5f5, #6bceff, #52b5ff);
    background-size: 200%;
    width: 250px;
    border: none;
    outline: none;
    transition: .2s ease-in-out;
    letter-spacing: 1px;
    font-family: inherit;
}

    .btn-login:hover {
        background-position: right;
    }

    .btn-login:focus, .btn-login:active, .btn-login:active:focus {
        outline: none !important;
        box-shadow: 0 3px 10px #8abfff !important;
    }

.login-form-links {
    display: flex;
    justify-content: space-between;
    cursor: pointer;
    font-size: 14px;
}

.login-header {
    font-weight: bold;
    background-image: linear-gradient(to right, #42a5f5, #6bceff);
    color: transparent;
    -webkit-background-clip: text;
    background-clip: text;
}
.forgot {
    color: #42a5f5;
    transition: 0.2s ease all;
    font-size: 14px;
    font-weight: bold;
    float: right;
    margin-top: 1rem;
}

.forgot:hover {
    text-decoration: underline;
}

.form-check input {
    width: 16px;
    height: 16px;
    margin-top: 0.2rem !important;
}
.footer {
    background: #42a5f5;
    background-image: linear-gradient(to right, #42a5f5, #6bceff);
    color: #fff;
    display: flex;
    justify-content: space-between;
    font-size: 15px;
    padding: 1rem 0 2rem 0;
}

    .footer ul {
        list-style: none;
        display: flex;
        margin-top: 1rem;
    }

    .footer li {
        margin: 0 1rem;
    }

    .footer a {
        color: #fff;
    }

.footer a:hover, footer a:focus {
    text-decoration: underline;
}
.footer-copyrights {
   font-size: 13px;
}

.requests-table, .table-responsive {
    margin-right: 0;
    margin-left: 0;
}

    .table-responsive th, .table-responsive td {
        padding: 5px;
    }

.table th {
    font-size: 13px;
    vertical-align: top !important;
    color: #666;
}

.table td {
    font-size: 14px;
    color: #666;
}

.requests-table th {
    font-size: 12px;
}

.requests-table td {
    font-size: 13px;
}

.table-striped tbody td, .table-striped tbody th {
    border: none !important;
}

.table-striped tbody tr:nth-of-type(odd) {
    background-color: rgba(66,165,245,.1);
}

.table-striped tbody tr:hover {
    background-color: rgba(66,165,245,.3);
}

.requests-table tr {
    display: flex;
}

    .requests-table tr.selected {
        background-color: rgba(66,165,245,.3) !important;
    }

th, td {
    word-wrap: break-word;
}

.requests-table th:not(:nth-child(1)), .requests-table tbody td {
    width: 120px;
}

    .requests-table th:nth-child(2), .requests-table tbody td:nth-child(2) {
        width: 50px;
    }

    .requests-table th:nth-child(3), .requests-table tbody td:nth-child(3),
    .requests-table th:nth-child(4), .requests-table tbody td:nth-child(4),
    .requests-table th:nth-child(9), .requests-table tbody td:nth-child(9),
    .requests-table th:nth-child(10), .requests-table tbody td:nth-child(10),
    .requests-table th:nth-child(14), .requests-table tbody td:nth-child(14) {
        width: 70px;
    }

    .requests-table thead th {
    cursor: pointer;
}

    .requests-table thead th:hover, .requests-table thead th:focus {
        color: #42a5f5;
    }

.requests-table th:nth-child(1), .requests-table tbody td:nth-child(1) {
    width: 60px;
}

    .table-body {
        margin-top: -10px;
    }

.table-info {
    font-size: 16px;
    cursor: pointer;
    margin-left: 5px;
}

.row-buttons {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    z-index: 90;
    background: #fff;
    border-bottom: 1px solid rgba(0,0,0,.125)
}

.table-buttons {
    display: flex;
    justify-content: space-between;
}

.page-link {
    background: #42a5f5;
    border-color: #42a5f5;
    color: #fff;
}

    .page-item.active .page-link, .page-link:hover {
        z-index: 1;
        background-color: #3686c7;
        border-color: #3686c7;
        color: #fff;
    }

label, .control-label {
    font-size: 13px;
    font-weight: bold;
}

.card-header {
    background: #fff;
    color: #42a5f5;
    font-weight: bold;
}

.form-controls {
    display: flex;
    justify-content: center;
}
    .form-controls button {
        width: 50%;
        margin: 0 5px;
    }

@media (max-width: 1200px) {
    .container-login {
        width: 95%;
    }
}

@media (max-width: 767.98px) {
    .container-login {
        width: 70%;
    }
    .login-page {
        padding: 1.5rem 0 3rem 0;
    }
    .card-login {
        flex-direction: column;
    }
    .card-logo {
        width: 100%;
        height: auto;
        border-top-right-radius: 1rem;
        border-top-left-radius: 1rem;
        border-bottom-left-radius: 0;
        padding: 1.5rem 0;
    }
        .card-logo img {
            width: 30%;
        }
    .login-body {
        width: 100%;
        padding: 1rem 0.5rem;
    }
    .login-header {
        font-size: 1.2em;
    }
    .btn-login {
        width: 180px;
    }
    .login-form-links {
        font-size: 13px;
    }
    .main .top-row:not(.auth) {
        display: none;
    }

    .main .top-row.auth {
        justify-content: space-between;
    }

    .main .top-row a, .main .top-row .btn-link {
        margin-left: 0;
    }
    .footer {
        flex-direction: column;
    }
}

@media (max-width: 500px) {
    .container-login {
        width: 95%;
    }
}

@media (min-width: 768px) {
    app {
        flex-direction: row;
    }

    .sidebar {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .collapse-sidebar {
        width: 85px;
    }
        .collapse-sidebar a, .collapse-sidebar .hide-on-collpase, 
        .collapse-sidebar #lang {
            display: none;
        }

        .collapse-sidebar .bottom-sidebar {
            margin-bottom: 3rem;
        }
       
        .main .top-row {
            position: sticky;
            top: 0;
        }

    .main > div {
        padding-left: 1rem !important;
        padding-right: 1rem !important;
    }

        .sidebar .collapse {
            /* Never collapse the sidebar for wide screens */
            display: flex;
        }

    .sidebar-content {
        height: 95%;
        display: flex;
    }

    .main-container {
        width: calc(100vw - 250px) !important;
    }
}

@media print {
    * {
        color: #000 !important;
        text-shadow: none !important;
        background: transparent !important;
        box-shadow: none !important;
    }

    #content {
        margin-left: 0px;
    }

    .sidebar {
        display: none;
    }

    .messaging-tab {
        display: none;
    }

    .footer {
        display: none;
    }

    .no-print {
        display: none;
    }

    .title {
        display: none;
    }

    .box .content {
        border: 0px none;
    }
}

.word-break {
    word-break: break-word;
}

.last-img-arrival {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
}

.deleted-item {
    color: #e74c3c;
    font-weight: 600;
}

.breached {
    background-color: red;
}

.first-warning {
    background-color: red;
    color: white;
    opacity: 1;
}

.flash-first-warning {
    -webkit-animation: flash-first-warning 900ms infinite ease-in-out;
}

@-webkit-keyframes flash-first-warning {
    50% {
        background-color: red;
        color: white;
        opacity: 1;
    }

    100% {
        background-color: inherit;
        color: inherit;
    }
}

@-moz-keyframes flash-first-warning {
    50% {
        background-color: red;
        color: white;
        opacity: 1;
    }

    100% {
        background-color: inherit;
        color: inherit;
    }
}

@-o-keyframes flash-first-warning {
    50% {
        background-color: red;
        color: white;
        opacity: 1;
    }

    100% {
        background-color: inherit;
        color: inherit;
    }
}

@keyframes flash-first-warning {
    50% {
        background-color: red;
        color: white;
        opacity: 1;
    }

    100% {
        background-color: inherit;
        color: inherit;
    }
}

.second-warning {
    background-color: coral;
    color: white;
    opacity: 1;
}

.flash-second-warning {
    -webkit-animation: flash-second-warning 900ms infinite ease-in-out;
}

@-webkit-keyframes flash-second-warning {
    50% {
        background-color: coral;
        color: white;
        opacity: 1;
    }

    100% {
        background-color: inherit;
        color: inherit;
    }
}

@-moz-keyframes flash-second-warning {
    50% {
        background-color: coral;
        color: white;
        opacity: 1;
    }

    100% {
        background-color: inherit;
        color: inherit;
    }
}

@-o-keyframes flash-second-warning {
    50% {
        background-color: coral;
        color: white;
        opacity: 1;
    }

    100% {
        background-color: inherit;
        color: inherit;
    }
}

@keyframes flash-second-warning {
    50% {
        background-color: coral;
        color: white;
        opacity: 1;
    }

    100% {
        background-color: inherit;
        color: inherit;
    }
}

.ql-editor {
    height: 400px !important
}